# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate unsafe-io

Name:           rust-%{crate}
Version:        0.6.9
Release:        3%{?dist}
Summary:        Non-owning unsafe I/O

# Upstream license specification: Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
License:        ASL 2.0 with exceptions or ASL 2.0 or MIT
URL:            https://crates.io/crates/unsafe-io
Source:         %{crates_source}
# Initial patched metadata
# * drop windows-specific dependencies
Patch0:         unsafe-io-fix-metadata.diff
# * remove deny(warnings) and other harmful lints
Patch1:         0001-deny-warnings-considered-harmful.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Non-owning unsafe I/O.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc README.md
%license LICENSE-APACHE LICENSE-MIT COPYRIGHT
%license LICENSE-Apache-2.0_WITH_LLVM-exception
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+mio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mio-devel %{_description}

This package contains library source intended for building other packages
which use "mio" feature of "%{crate}" crate.

%files       -n %{name}+mio-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+os_pipe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+os_pipe-devel %{_description}

This package contains library source intended for building other packages
which use "os_pipe" feature of "%{crate}" crate.

%files       -n %{name}+os_pipe-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+socket2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+socket2-devel %{_description}

This package contains library source intended for building other packages
which use "socket2" feature of "%{crate}" crate.

%files       -n %{name}+socket2-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages
which use "tokio" feature of "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+use_mio_net-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_mio_net-devel %{_description}

This package contains library source intended for building other packages
which use "use_mio_net" feature of "%{crate}" crate.

%files       -n %{name}+use_mio_net-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+use_mio_os_ext-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_mio_os_ext-devel %{_description}

This package contains library source intended for building other packages
which use "use_mio_os_ext" feature of "%{crate}" crate.

%files       -n %{name}+use_mio_os_ext-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Feb 08 2022 Fabio Valentini <decathorpe@gmail.com> - 0.6.9-3
- Remove deny(warnings) and other harmful lints.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 26 21:09:36 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.6.9-1
- Update to upstream 0.6.9
- Stop providing feature async-std (missing dependency async-std) - Fixes rhbz#1964664

* Thu May 20 19:42:19 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.6.8-1
- Initial package
